function Check_GASA_Results(True_Network, True_Network_Name, Predicted_Network, Predicted_Alpha);
fprintf('True Network: \n')
True_Links=0;
False_Links=0;
for i=3:size(True_Network,2)
    fprintf('%s: ',True_Network_Name{i,1});
    for j=1:size(True_Network,1)
        if True_Network(j,i)==1
            fprintf('+');
            fprintf('%s ',True_Network_Name{j,1});
            True_Links=True_Links+1;
        end
        if True_Network(j,i)==-1
            fprintf('-');
            fprintf('%s ',True_Network_Name{j,1});
            True_Links=True_Links+1;
        end
        if True_Network(j,i)==0
            False_Links=False_Links+1;
        end
    end
    fprintf('\n');
end
fprintf('# True links = %d\n',True_Links);
fprintf('# False links = %d\n',False_Links);

Positive_Links=0;
Negative_Links=0;
True_Positive=0;
True_Negative=0;
False_Positive=0;
False_Negative=0;
fprintf('\nPredicted Network: \n')
for i=1:size(Predicted_Network,2)
    Predicted(:,i)=Predicted_Network(:,i).*Predicted_Alpha(1,i);
end
for i=3:size(Predicted,2)
    fprintf('%s: ',True_Network_Name{i,1});
    for j=1:size(Predicted,1)
        if Predicted(j,i)>0
            fprintf('+');
            fprintf('%s ',True_Network_Name{j,1});
            Positive_Links=Positive_Links+1;
            if True_Network(j,i)==1
                True_Positive=True_Positive+1;
            end
            if True_Network(j,i)==-1
                True_Positive=True_Positive+1;
            end
            if True_Network(j,i)==0
                False_Positive=False_Positive+1;
            end
        end
        if Predicted(j,i)<0
            fprintf('-');
            fprintf('%s ',True_Network_Name{j,1});
            Positive_Links=Positive_Links+1;
            if True_Network(j,i)==-1
                True_Positive=True_Positive+1;
            end
            if True_Network(j,i)==1
                True_Positive=True_Positive+1;
            end
            if True_Network(j,i)==0
                False_Positive=False_Positive+1;
            end
        end
        if Predicted(j,i)==0
            Negative_Links=Negative_Links+1;
            if True_Network(j,i)==1
                False_Negative=False_Negative+1;
            end
            if True_Network(j,i)==-1
                False_Negative=False_Negative+1;
            end
            if True_Network(j,i)==0
                True_Negative=True_Negative+1;
            end
        end
    end
    fprintf('\n');
end
fprintf('# Positive links = %d\n',Positive_Links);
fprintf('# Negative links = %d\n',Negative_Links);
fprintf('\n');
fprintf('# True positives = %d\n',True_Positive);
fprintf('# True negatives = %d\n',True_Negative);
fprintf('# False positive = %d\n',False_Positive);
fprintf('# False negative = %d\n',False_Negative);
fprintf('\n');
fprintf('# True positives rate = %f\n',True_Positive/True_Links);
fprintf('# True negative rate = %f\n',True_Negative/False_Links);
fprintf('# False positives rate = %f\n',False_Positive/Positive_Links);
fprintf('# False negative rate = %f\n',False_Negative/Negative_Links);