def IsCyclic(Net, ngene):
    Visited=[0]*ngene
    Stack=[]
    for i in range(ngene):  # start with each vertex (gene)
        if Visited[i]:
            continue
        depth=1
        Current_vertex=i        
        No_path=0
        while 1:
            if not No_path:
                j_start=0
            else:   # path exhausted ==> back tracking
                if len(Stack):  # Stack not empty
                    old_path=Stack[-1]
                    del Stack[-1]   # pop one item
                    depth-=1    # back
                    Current_vertex=old_path[0]
                    j_start=old_path[1]+1
                else:   # finish searching this tree
                    break
            No_path=1
            for j in range(j_start, ngene): # search edges
                if Current_vertex!=j and Net[Current_vertex*ngene+j]:  # an edge from current_vertex to j (current_vertex!=j)
                    Stack.append((Current_vertex, j))   # record this path
                    Visited[Current_vertex]=depth   # Mark visited only when this vertex has nonzero OUT degree
                    depth+=1
                    Current_vertex = j  # move to vertex j
                    if Visited[Current_vertex]: # previously visited! ==> cyclic
                        return 1
#                    Visited[Current_vertex]=depth
                    No_path=0   # a path found
                    break
    return 0
'''
net=[0]*(5*5)
net[1*5+2]=1 # W[1][2]=1
net[2*5+3]=1 # W[2][3]=1
#net[3*5+1]=1 # W[3][1]=1
net[2*5+4]=1 # W[2][4]=1
net[4*5+0]=1 # W[4][0]=1

print IsCyclic(net, 5)
'''

